# Copyright 2013-2021 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)

from spack import *


class PyNeurom(PythonPackage):
    """NeuroM: a light-weight neuron morphology analysis package
    """

    homepage = "https://github.com/BlueBrain/NeuroM"
    pypi     = "neurom/neurom-3.1.0.tar.gz"
    git      = "https://github.com/BlueBrain/NeuroM.git"

    version('3.1.0',  sha256='1a711c3bd92a55b845f6e26ec6197e9208bf3d91762088eda9cb00ceea992f3a')
    version('1.4.10', sha256='c94823133bb15b5756c22391e05948871ff77c0212e91ad375903ca437e18aeb')

    depends_on('python@3.6.9:')
    depends_on('py-click@7.0:',         type=('build', 'run'))
    depends_on('py-matplotlib@3.2.1:',  type=('build', 'run'))
    depends_on('py-morphio@3.1.1:',     type=('build', 'run'))
    depends_on('py-numpy@1.9.1:',       type=('build', 'run'))
    depends_on('py-pandas@1.0.5',       type=('build', 'run'))
    depends_on('py-pyyaml@3.11:',       type=('build', 'run'))
    depends_on('py-scipy@1.2.1:',       type=('build', 'run'))
    depends_on('py-tqdm@4.8.4:',        type=('build', 'run'))
